ExtensionsGenerator (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.x509

## Class ExtensionsGenerator

- java.lang.Object
- - org.bouncycastle.asn1.x509.ExtensionsGenerator

-     public class ExtensionsGenerator
      extends java.lang.Object

  Generator for X.509 extensions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionsGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(ASN1ObjectIdentifier oid, boolean critical, ASN1Encodable value)` Add an extension with the given oid and the passed in value to be included in the OCTET STRING associated with the extension.
    `void` | `addExtension(ASN1ObjectIdentifier oid, boolean critical, byte[] value)` Add an extension with the given oid and the passed in byte array to be wrapped in the OCTET STRING associated with the extension.
    `Extensions` | `generate()` Generate an Extensions object based on the current state of the generator.
    `boolean` | `isEmpty()` Return true if there are no extension present in this generator.
    `void` | `reset()` Reset the generator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionsGenerator

          public ExtensionsGenerator()

  - ### Method Detail

    - #### reset

          public void reset()

      Reset the generator

    - #### addExtension

          public void addExtension(ASN1ObjectIdentifier oid,
                          boolean critical,
                          ASN1Encodable value)
                            throws java.io.IOException

      Add an extension with the given oid and the passed in value to be included in the OCTET STRING associated with the extension.
      Parameters:
        `oid` - OID for the extension.
        `critical` - true if critical, false otherwise.
        `value` - the ASN.1 object to be included in the extension.
      Throws:
        `java.io.IOException`

    - #### addExtension

          public void addExtension(ASN1ObjectIdentifier oid,
                          boolean critical,
                          byte[] value)

      Add an extension with the given oid and the passed in byte array to be wrapped in the OCTET STRING associated with the extension.
      Parameters:
        `oid` - OID for the extension.
        `critical` - true if critical, false otherwise.
        `value` - the byte array to be wrapped.

    - #### isEmpty

          public boolean isEmpty()

      Return true if there are no extension present in this generator.
      Returns:
        true if empty, false otherwise

    - #### generate

          public Extensions generate()

      Generate an Extensions object based on the current state of the generator.
      Returns:
        an X09Extensions object.